Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class CommandButtonRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AjaxCommandRendererBase
                  org.richfaces.renderkit.html.CommandButtonRendererBase

Direct Known Subclasses:
  CommandButtonRenderer

    public abstract class CommandButtonRendererBase

extends AjaxCommandRendererBase

Author:
  Nick Belaevski

Constructor Summary
`CommandButtonRendererBase()`

Method Summary
`protected void` | `encodeTypeAndImage(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase
`doDecode, getOnClick, isSubmitted, queueComponentEventForBehaviorEvent`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandButtonRendererBase

    public CommandButtonRendererBase()

Method Detail

### encodeTypeAndImage

    protected void encodeTypeAndImage(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent uiComponent)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.